<template>
  <div class="spot-lead__parther">
    <ObTooltip
        :open-delay="500"
        position="top-center">
      <div slot="content">
        <div align="center" v-html="partnerTooltip"/>
      </div>
      <span>{{ partnerName }}</span>
    </ObTooltip>
  </div>
</template>

<script>
  import ObTooltip from 'common-components/src/obComponents/obTooltip'

  export default {
    name: 'leadPartner',
    components: { ObTooltip },
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      partnerTooltip() {
        return this.item.carrier
          ? `${this.partnerPhone}<br /><a href="mailto:${this.item.carrier.email}">${this.item.carrier.email}</a>`
          : '–'
      },
      partnerName () {
        return this.item.carrier ? this.item.carrier.title : '–'
      },
      partnerPhone () {
        return this.item.carrier.phone ? this.item.carrier.phone : '-'
      }
    }
  }
</script>

<style lang="scss">
  .spot-lead__parther {
    cursor: pointer;
    .ob-tooltip {
      width: 100%;
    }
  }
</style>
